import React, { FC, ReactElement } from 'react';
import { ChartShallowDataShape } from '../common';
import { BarListSeriesProps } from './BarListSeries';
export interface BarListProps {
    /**
     * ID for the chart.
     */
    id?: string;
    /**
     * CSS Classname for the element.
     */
    className?: string;
    /**
     * Style for the element.
     */
    style?: React.CSSProperties;
    /**
     * Data for the chart.
     */
    data: ChartShallowDataShape[];
    /**
     * Sort direction of the data.
     */
    sortDirection?: 'asc' | 'desc' | 'none';
    /**
     * Series to render.
     */
    series?: ReactElement<BarListSeriesProps, typeof BarList>;
    /**
     * Whether the values are percentages or absolute values.
     * In the latter case, the chart would be relative
     */
    type?: 'percent' | 'count';
}
export declare const BarList: FC<BarListProps>;
