import { FC } from 'react';
import { ChartInternalDataTypes, ChartShallowDataShape, ColorSchemeType } from '../common';
export type BarListLabelPosition = 'none' | 'top' | 'start' | 'end' | 'bottom';
export interface BarListSeriesProps {
    /**
     * Data for the chart.
     */
    data?: ChartShallowDataShape[];
    /**
     * Color scheme for the chart.
     */
    colorScheme?: ColorSchemeType;
    /**
     * The label position.
     */
    labelPosition?: BarListLabelPosition;
    /**
     * The value position.
     */
    valuePosition?: BarListLabelPosition;
    /**
     * The bar item class name.
     */
    itemClassName?: string;
    /**
     * Label css class name.
     */
    labelClassName?: string;
    /**
     * Label value class name.
     */
    valueClassName?: string;
    /**
     * Bar component class name.
     */
    barClassName?: string;
    /**
     * Bar container class name.
     */
    outerBarClassName?: string;
    /**
     * Custom label format.
     */
    labelFormat?: (data: ChartInternalDataTypes, index: number) => any;
    /**
     * Custom value format
     */
    valueFormat?: (data: ChartInternalDataTypes, index: number) => any;
    /**
     * Item was clicked.
     */
    onItemClick?: (data: ChartShallowDataShape) => void;
    /**
     * Item had mouse enter.
     */
    onItemMouseEnter?: (data: ChartShallowDataShape) => void;
    /**
     * Item had mouse leave.
     */
    onItemMouseLeave?: (data: ChartShallowDataShape) => void;
}
export declare const BarListSeries: FC<Partial<BarListSeriesProps>>;
