import { FC, ReactElement } from 'react';
import { ChartShallowDataShape } from '../../../common/data';
import { FunnelAxisLabel, FunnelAxisLabelProps } from './FunnelAxisLabel';
import { FunnelAxisLine, FunnelAxisLineProps } from './FunnelAxisLine';
export interface FunnelAxisProps {
    /**
     * Data to render the funnel. Set internally by `FunnelChart`.
     */
    data: ChartShallowDataShape[];
    /**
     * xScale for the funnel. Set internally by `FunnelChart`.
     */
    xScale: any;
    /**
     * yScale for the funnel. Set internally by `FunnelChart`.
     */
    yScale: any;
    /**
     * The funnel axis line.
     */
    line?: ReactElement<FunnelAxisLineProps, typeof FunnelAxisLine> | null;
    /**
     * Label component for the axis.
     */
    label?: ReactElement<FunnelAxisLabelProps, typeof FunnelAxisLabel> | null;
}
export declare const FunnelAxis: FC<Partial<FunnelAxisProps>>;
