import React from 'react';
import { FunnelArc } from './FunnelArc';
import { FunnelArcProps } from './FunnelArc';
import { FunnelAxis, FunnelAxisProps } from './FunnelAxis';
import { ChartShallowDataShape } from '../../common';
import { ClickEvent } from '../../common/types';
export interface FunnelSeriesProps {
    /**
     * Parsed data shape. Set internally by `FunnelChart`.
     */
    data: ChartShallowDataShape[];
    /**
     * Id of the funnel chart. Set internally by `FunnelChart`.
     */
    id: string;
    /**
     * The arc component that renders the funnel shape.
     */
    arc: React.ReactElement<FunnelArcProps, typeof FunnelArc>;
    /**
     * The axis component that renders the funnel axis.
     */
    axis: React.ReactElement<FunnelAxisProps, typeof FunnelAxis>;
    /**
     * Height of the chart. Set internally by `FunnelChart`.
     */
    height: number;
    /**
     * Width of the chart. Set internally by `FunnelChart`.
     */
    width: number;
    /**
     * Event for when a segment is clicked.
     */
    onSegmentClick?: (e: ClickEvent) => void;
}
export declare const FunnelSeries: React.FC<Partial<FunnelSeriesProps>>;
