import { ReactElement, FC } from 'react';
import { ChartProps } from '../common/containers/ChartContainer';
import { MapMarkerProps, MapMarker } from './MapMarker';
type MarkerElement = ReactElement<MapMarkerProps, typeof MapMarker>;
export interface MapProps extends ChartProps {
    markers?: MarkerElement[];
    data: any;
    fill?: string;
    /**
     * Determines how the map transforms spherical geometry to planar geometry
     */
    projection?: 'mercator' | 'natural-earth';
}
export declare const Map: FC<MapProps>;
export {};
