import { FC, ReactElement } from 'react';
import { ChartProps } from '../common/containers';
import { ChartDataShape } from '../common/data';
import { RadialGaugeSeries, RadialGaugeSeriesProps, StackedRadialGaugeSeries, StackedRadialGaugeSeriesProps } from './RadialGaugeSeries';
export interface RadialGaugeProps extends ChartProps {
    /**
     * Data the chart will receive to render.
     */
    data: ChartDataShape[];
    /**
     * Min value to scale on.
     */
    minValue?: number | number[];
    /**
     * Max value to scale on.
     */
    maxValue?: number | number[];
    /**
     * Start angle for the first value.
     */
    startAngle?: number;
    /**
     * End angle for the last value.
     */
    endAngle?: number;
    /**
     * Gauge series component to render.
     */
    series?: ReactElement<RadialGaugeSeriesProps | StackedRadialGaugeSeriesProps, typeof RadialGaugeSeries | typeof StackedRadialGaugeSeries>;
}
export declare const RadialGauge: FC<RadialGaugeProps>;
