import { FC } from 'react';
import { ChartNestedDataShape, ColorSchemeType } from '../../common';
import { RadialGaugeArcProps } from './RadialGaugeArc';
export type RadialGaugeStackedArcProps = Omit<RadialGaugeArcProps, 'endAngle' | 'data' | 'color'> & {
    /**
     * Data set by the `StackedRadialGaugeSeries` components.
     */
    data: ChartNestedDataShape;
    /**
     * D3 scale function set by `RadialGauge` component.
     */
    scale: (x: number) => number;
    /**
     * Color scheme to apply set by 'StackedRadialGaugeSeries' component.
     */
    colorScheme: ColorSchemeType;
};
export declare const RadialGaugeStackedArc: FC<Partial<RadialGaugeStackedArcProps>>;
