import { FC, ReactElement } from 'react';
import { LinearAxisTickLine, LinearAxisTickLineProps } from './LinearAxisTickLine';
export interface LinearAxisTickLabelProps {
    text: string;
    fullText: string;
    angle: number;
    orientation: 'horizontal' | 'vertical';
    half: 'start' | 'end' | 'center';
    line: ReactElement<LinearAxisTickLineProps, typeof LinearAxisTickLine>;
    format?: (v: any) => any;
    fill: string;
    fontSize: number;
    fontFamily: string;
    rotation: boolean | number;
    padding: number | {
        fromAxis: number;
        alongAxis: number;
    };
    textAnchor?: 'start' | 'end' | 'middle';
    position: 'start' | 'end' | 'center';
    align: 'start' | 'end' | 'center' | 'inside' | 'outside';
    className?: string;
}
export declare const LinearAxisTickLabel: FC<Partial<LinearAxisTickLabelProps>>;
