import { FC, ReactElement } from 'react';
import { LinearAxisTickLabel, LinearAxisTickLabelProps } from './LinearAxisTickLabel';
import { LinearAxisTickLine, LinearAxisTickLineProps } from './LinearAxisTickLine';
import { TimeInterval } from 'd3-time';
import { LinearAxisProps } from './LinearAxis';
export interface LinearAxisTickSeriesProps {
    height: number;
    width: number;
    scale: any;
    interval?: number | TimeInterval;
    tickSize: number;
    tickValues: any[];
    orientation: 'horizontal' | 'vertical';
    label: ReactElement<LinearAxisTickLabelProps, typeof LinearAxisTickLabel> | null;
    line: ReactElement<LinearAxisTickLineProps, typeof LinearAxisTickLine> | null;
    axis: LinearAxisProps;
}
export declare const LinearAxisTickSeries: FC<Partial<LinearAxisTickSeriesProps>>;
