import { FC, ReactElement } from 'react';
import { RadialAxisTickSeries, RadialAxisTickSeriesProps } from './RadialAxisTickSeries';
import { RadialAxisArcSeries, RadialAxisArcSeriesProps } from './RadialAxisArcSeries';
export interface RadialAxisProps {
    /**
     * Height of the axis.
     */
    height: number;
    /**
     * Width of the axis.
     */
    width: number;
    /**
     * Scale to use for the axis.
     */
    xScale: any;
    /**
     * Inner radius of the axis.
     */
    innerRadius: number;
    /**
     * Type of the axis.
     */
    type: 'value' | 'time' | 'category';
    /**
     * Arc element to render.
     */
    arcs: ReactElement<RadialAxisArcSeriesProps, typeof RadialAxisArcSeries> | null;
    /**
     * Tick element to render.
     */
    ticks: ReactElement<RadialAxisTickSeriesProps, typeof RadialAxisTickSeries> | null;
    /**
     * Start angle for the first value.
     */
    startAngle?: number;
    /**
     * End angle for the last value.
     */
    endAngle?: number;
}
export declare const RadialAxis: FC<Partial<RadialAxisProps>>;
