import { FC, ReactElement } from 'react';
import { RadialAxisTickLineProps, RadialAxisTickLine } from './RadialAxisTickLine';
import { RadialAxisTickLabelProps, RadialAxisTickLabel } from './RadialAxisTickLabel';
export interface RadialAxisTickProps {
    /**
     * Scale to use for the tick.
     */
    scale: any;
    /**
     * Outer radius of the arc.
     */
    outerRadius: number;
    /**
     * Inner radius of the arc.
     */
    innerRadius: number;
    /**
     * Padding between the tick and the label.
     */
    padding: number;
    /**
     * Data to render.
     */
    data: any;
    /**
     * Index of the tick.
     */
    index: number;
    /**
     * Line element to render.
     */
    line: ReactElement<RadialAxisTickLineProps, typeof RadialAxisTickLine> | null;
    /**
     * Label element to render.
     */
    label: ReactElement<RadialAxisTickLabelProps, typeof RadialAxisTickLabel> | null;
    /**
     * Start angle for the first value.
     */
    startAngle?: number;
    /**
     * End angle for the last value.
     */
    endAngle?: number;
}
export declare const RadialAxisTick: FC<Partial<RadialAxisTickProps>>;
