import { FC } from 'react';
export interface RadialAxisTickLabelProps {
    /**
     * Data to render.
     */
    data: any;
    /**
     * Size of the line.
     */
    lineSize: number;
    /**
     * Color of the text.
     */
    fill: string;
    /**
     * Font size of the text.
     */
    fontSize: number;
    /**
     * Rotation of the text.
     */
    rotation: number;
    /**
     * Font family of the text.
     */
    fontFamily: string;
    /**
     * Index of the tick.
     */
    index: number;
    /**
     * Padding of the tick.
     */
    padding: number;
    /**
     * Point of the tick.
     */
    point: any;
    /**
     * Auto rotate the text.
     */
    autoRotate: boolean;
    /**
     * Format of the label.
     */
    format?: (value: any, index: number) => any | string;
}
export declare const RadialAxisTickLabel: FC<Partial<RadialAxisTickLabelProps>>;
