import { FC, PropsWithChildren } from 'react';
import { ChartInternalDataShape, ChartDataTypes } from '../data';
export interface ZoomPanChangeEvent {
    domain: [ChartDataTypes, ChartDataTypes];
    isZoomed: boolean;
}
export interface ChartZoomPanProps extends PropsWithChildren {
    data: ChartInternalDataShape[];
    domain?: [ChartDataTypes, ChartDataTypes];
    axisType: 'value' | 'time' | 'category' | 'duration';
    roundDomains: boolean;
    height: number;
    width: number;
    scale: number;
    offset: number;
    pannable: boolean;
    zoomable: boolean;
    disabled?: boolean;
    maxZoom: number;
    zoomStep: number;
    disableMouseWheel?: boolean;
    requireZoomModifier?: boolean;
    onZoomPan?: (event: ZoomPanChangeEvent) => void;
}
export declare const ChartZoomPan: FC<Partial<ChartZoomPanProps>>;
